/*
 * Copyright (c) 2019, Oracle and/or its affiliates. All rights reserved.
 */
package com.oracle.iot.flir.model;

import java.util.Map;

import com.oracle.iot.flir.utils.Configuration;
import com.oracle.iot.flir.utils.ProvisioningUtils.DCDDescriptor;

public class FLIRCameraE95DeviceDescriptor implements DCDDescriptor {
    private Configuration config;
    
    public FLIRCameraE95DeviceDescriptor(Configuration config) {
        this.config = config;
    }

    @Override
    public String getHardwareID() {
        return "FLIR_E95_" + getSerialNumber();
    }

    @Override
    public String getManufacturer() {
        return null;
    }

    @Override
    public String getModelNumber() {
        return "FLIR Systems";
    }

    @Override
    public String getSerialNumber() {
        return "78500539";
    }

    @Override
    public Map<String, String> getMetaData() {
        return null;
    }

    @Override
    public String getName() {
        return "FLIR E95";
    }

    @Override
    public String getLongitude() {
        return "" + config.getCameraLongitude();
    }

    @Override
    public String getLatitude() {
        return "" + config.getCameraLatitude();
    }

}

