/*
 * Copyright (c) 2019, Oracle and/or its affiliates. All rights reserved.
 */
package com.oracle.iot.flir.model;

import java.util.Collections;
import java.util.Map;

import com.oracle.iot.flir.utils.ProvisioningUtils.DeviceModelDescriptor;

public class FLIRCameraE95DeviceModelDescriptor implements DeviceModelDescriptor {
    public static final String DEVICE_MODEL_URN = "urn:com:oracle:iot:device:flir:temperature";
    
    public static final String ATTRIBUTE_TEMPERATURE = "temperature";

    @Override
    public String getURN() {
        return DEVICE_MODEL_URN;
    }

    @Override
    public String getName() {
        return "FLIR E95 Camera";
    }

    @Override
    public Map<String, String> getAttributes() {
        return Collections.singletonMap(ATTRIBUTE_TEMPERATURE, "NUMBER");
    }

    @Override
    public Map<String, String> getAttributesDescriptions() {
        return Collections.singletonMap(ATTRIBUTE_TEMPERATURE, "Spot Temperature");
    }

    @Override
    public Map<String, String> getCategories() {
        return Collections.singletonMap(ATTRIBUTE_TEMPERATURE, "Sensors");
    }
}

