/*
 * Copyright (c) 2019, Oracle and/or its affiliates. All rights reserved.
 */
package com.oracle.iot.flir.utils.http;

import java.net.MalformedURLException;
import java.net.URL;
import java.security.GeneralSecurityException;

public class HttpPlainConnection extends AbstractHttpConnection {
    public HttpPlainConnection(String hostUrl, String user, String password, Integer connectTimeout) throws GeneralSecurityException {
        super(hostUrl, user, password, connectTimeout);
    }
    
    public HttpPlainConnection(String hostUrl, String user, String password) throws GeneralSecurityException {
        this(hostUrl, user, password, null);
    }

    @Override
    protected HttpClient createHttpClient(URL url) throws MalformedURLException {
        return new HttpClient(null, url, getConnectTimeout());
    }
}
